Bug 1548856 - [Docs][RFE][Admin] Uploading ISO image and attaching to VM as CDROM
Summary: [Docs][RFE][Admin] Uploading ISO image and attaching to VM as CDROM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.3
: ---
Assignee: Avital Pinnick
QA Contact: Byron Gravenorst
URL:
Whiteboard: docs-accepted
Depends On: 1122970 1530730
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-25 14:34 UTC by Avital Pinnick
Modified: 2019-05-07 12:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-23 11:19:31 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Avital Pinnick 2018-02-25 14:34:46 UTC
The Manager and the REST API support uploading an ISO image to a data storage domain and attaching it to a virtual machine as a CDROM device.

https://bugzilla.redhat.com/show_bug.cgi?id=1530730:

It is now possible to upload an ISO file to a data domain and attach it to a VM as a CDROM device.
In order to do so the user has to upload an ISO file via the UI (which will recognize the ISO by it's header and will upload it as ISO) or via the APIs in which case the request should define the disk container "content_type" property as "iso" before the upload.
Once the ISO exists on an active storage domain in the data center it will be possible to attach it to a VM as a CDROM device either through the "Edit VM" dialog or through the APIs (see example in comment #27

Comment 1 Lucy Bopf 2018-04-13 05:02:55 UTC
Accepting into GA program and assigning to Avital for review.


Note You need to log in before you can comment on or make changes to this bug.